# std::exponential_distribution< _RealType > Class Template Reference
[Poisson]

An exponential continuous distribution for random numbers. More...

List of all members.

## Classes

- struct param_type

## Public Types

- typedef _RealType result_type

## Public Member Functions

- exponential_distribution (const result_type &__lambda=result_type(1))
- exponential_distribution (const param_type &__p)
- _RealType lambda () const
- result_type max () const
- result_type min () const
- template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
- template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
- param_type param () const
- void param (const param_type &__param)
- void reset ()

## Detailed Description

### template<typename _RealType = double>
class std::exponential_distribution< _RealType >

An exponential continuous distribution for random numbers.

The formula for the exponential probability density function is .

Distribution Statistics
Mean |
Median |
Mode |
Range |
Standard Deviation |

Definition at line 4161 of file random.h.

## Member Typedef Documentation

template<typename _RealType = double>

typedef _RealType std::exponential_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 4168 of file random.h.

## Constructor & Destructor Documentation

template<typename _RealType = double>

std::exponential_distribution< _RealType >::exponential_distribution | ( | const result_type & | __lambda = `result_type(1)` | ) | `[inline, explicit]`

Constructs an exponential distribution with inverse scale parameter .

Definition at line 4199 of file random.h.

## Member Function Documentation

template<typename _RealType = double>

_RealType std::exponential_distribution< _RealType >::lambda | ( |  | ) | const`[inline]`

Returns the inverse scale parameter of the distribution.

Definition at line 4220 of file random.h.

template<typename _RealType = double>

result_type std::exponential_distribution< _RealType >::max | ( |  | ) | const`[inline]`

Returns the least upper bound value of the distribution.

Definition at line 4249 of file random.h.

template<typename _RealType = double>

result_type std::exponential_distribution< _RealType >::min | ( |  | ) | const`[inline]`

Returns the greatest lower bound value of the distribution.

Definition at line 4242 of file random.h.

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::exponential_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) | `[inline]`

Generating functions.

Definition at line 4257 of file random.h.

References std::exponential_distribution< _RealType >::operator()(), and std::exponential_distribution< _RealType >::param().

Referenced by std::exponential_distribution< _RealType >::operator()().

template<typename _RealType = double>

param_type std::exponential_distribution< _RealType >::param | ( |  | ) | const`[inline]`

Returns the parameter set of the distribution.

Definition at line 4227 of file random.h.

Referenced by std::exponential_distribution< _RealType >::operator()(), std::operator==(), and std::operator>>().

template<typename _RealType = double>

void std::exponential_distribution< _RealType >::param | ( | const param_type & | __param | ) | `[inline]`

Sets the parameter set of the distribution.

Parameters:

  | __param | The new parameter set of the distribution.

Definition at line 4235 of file random.h.

template<typename _RealType = double>

void std::exponential_distribution< _RealType >::reset | ( |  | ) | `[inline]`

Resets the distribution state.

Has no effect on exponential distributions.

Definition at line 4214 of file random.h.

The documentation for this class was generated from the following file:

- random.h